Create Opportunity File (stream)

Upload a file to an opportunity using multipart/form-data

Note: The /requests path is an alias for /opportunities and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunityIdstringRequired

Query parameters

namestringOptional
Optional file name to store
content_typestringOptional
Optional MIME type to associate with the file
phase_instance_idintegerOptional
Optional phase instance id to associate with the file

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful response
idinteger
File identifier
namestring
File name
downloadUrlstring
URL to download the file
typestring
File type
updatedAtstringformat: "date-time"
Last update timestamp
createdAtstringformat: "date-time"
Creation timestamp
metaDataobject
sourcestring

File source (e.g., INTERNAL)

createdByUserobject
isArchivedboolean or null
Whether the file is archived

Errors